## osso-application-installer 1.0.03-1

=== debian/changelog ===
osso-application-installer (1.0.03-1) unstable; urgency=low

  * removed extra locales

 -- Karoliina Salminen <karoliina.t.salminen@nokia.com>  Sun, 22 May 2005 19:00:59 +0300

osso-application-installer (1.0.03) unstable; urgency=low

  * Code cleanup done

 -- Karoliina Salminen <karoliina.t.salminen@nokia.com>  Thu, 19 May 2005 15:05:59 +0300
