=== debian/control ===
Source: osso-application-installer
Section: non-free/misc
Priority: optional
Maintainer: Marius Vollmer <marius.vollmer@nokia.com>
Build-Depends: debhelper (>= 4.0.0), hildon-base-lib-dev (>= 0.8.1-1), hildon-libs-dev (>= 0.8.1-1), hildon-lgpl-dev (>= 0.8.1-1), libgtk2.0-dev, libgnomevfs2-dev, libglib2.0-dev, dbus-1-dev, dbus-glib-1-dev, hildon-control-panel-dev, libosso-dev, fakeroot-net, intltool (>=0.30)
Standards-Version: 3.6.0

Package: osso-application-installer
Architecture: any
Depends: fakeroot-net, osso-application-installer-l10n-engb
Description: OSSO Application Installer
 Application which can be used to list user installed packages and remove any
 or all of them and install new packages.

Package: osso-application-installer-l10n-engb
Architecture: all
Description: OSSO Application installer en_GB locale
 English locale for osso-application-installer.

Package: osso-application-installer-l10n-src
Architecture: all
Depends: gettext
Description: OSSO Application installer source packages
