=== po/debian/control ===
Source: osso-application-installer-l10n-src
Section: x11
Priority: optional
Maintainer: Marius Vollmer <marius.vollmer@nokia.com>
Build-Depends: debhelper (>= 4.0.0), gettext
Standards-Version: 3.6.0

Package: osso-application-installer-l10n-engb
Architecture: all
Description: OSSO Application installer en_GB locale
 English locale for osso-application-installer.

Package: osso-application-installer-l10n-src
Depends: gettext
Architecture: all
Description: OSSO Application installer locale src
