=== debian/control ===
Source: osso-application-installer
Section: misc
Priority: optional
Maintainer: Marius Vollmer <marius.vollmer@nokia.com>
Build-Depends: debhelper (>= 4.0.0), hildon-base-lib-dev (>= 0.8.1-1), hildon-libs-dev (>= 0.8.1-1), hildon-lgpl-dev (>= 0.8.1-1), libgtk2.0-dev, libgnomevfs2-dev, libglib2.0-dev, dbus-1-dev, dbus-glib-1-dev, hildon-control-panel-dev, libosso-dev, intltool (>= 0.30), libosso-help-dev, osso-gnomevfs-extra-dev
Standards-Version: 3.6.0

Package: osso-application-installer
Architecture: any
Depends: ${shlibs:Depends}, fakeroot, dpkg, osso-application-installer-l10n-4.1-engb | osso-application-installer-l10n-4.1-english | osso-application-installer-l10n-4.0-engb | osso-application-installer-l10n-4.0-english
Conflicts: maemo-af-desktop (<< 1.67.1)
Description: Application Installer
 Application which can be used to list user installed packages and remove any
 or all of them and install new packages.
