=== debian/rules ===
--- 
+++ 
@@ -24,10 +24,23 @@
 	INSTALL_PROGRAM += -s
 endif
 
+#ifneq (,$(findstring maemo-launcher,$(DEB_BUILD_OPTIONS)))
+#	LAUNCHER = yes
+#endif
+#
+#ifeq "$(strip $(LAUNCHER))" "yes"
+#	LAUNCHER_DEPENDS = -Vlauncher:Depends="maemo-launcher"
+#	LAUNCHER_CFLAGS = -shared
+#	LAUNCHER_LDFLAGS = -shared -export-dynamic
+#endif
+
+configure: autogen.sh
+	./autogen.sh
+
 config.status: configure
 	dh_testdir
 	# Add here commands to configure the package.
-	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info
+	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --sysconfdir=/etc --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info
 
 
 build: build-stamp
@@ -36,7 +49,8 @@
 	dh_testdir
 
 	# Add here commands to compile the package.
-	$(MAKE)
+#	$(MAKE) MAEMO_LAUNCHER_CFLAGS="$(LAUNCHER_CFLAGS)" \
+#	  	MAEMO_LAUNCHER_LDFLAGS="$(LAUNCHER_LDFLAGS)"
 	#/usr/bin/docbook-to-man debian/osso-application-installer.sgml > osso-application-installer.1
 
 	touch build-stamp
@@ -67,13 +81,10 @@
 	# Add here commands to install the package into debian/osso-application-installer.
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
 
-	# Install locale stuff
-	mkdir -p $(CURDIR)/debian/tmp/usr/share/osso/l10n/osso-application-installer
-	cp po/*.po po/porules.mk $(CURDIR)/debian/tmp/usr/share/osso/l10n/osso-application-installer/
-	cp -a po/debian $(CURDIR)/debian/tmp/usr/share/osso/l10n/osso-application-installer/
-	cp debian/osso-application-installer-l10n-engb.install $(CURDIR)/debian/tmp/usr/share/osso/l10n/osso-application-installer/debian/
-	cp debian/copyright $(CURDIR)/debian/tmp/usr/share/osso/l10n/osso-application-installer/debian/
-	sed -r -e "s/^([a-z0-9-]+) /\1-l10n-src /g" debian/changelog > $(CURDIR)/debian/tmp/usr/share/osso/l10n/osso-application-installer/debian/changelog
+#ifeq "$(strip $(LAUNCHER))" "yes"
+#	mv $(CURDIR)/debian/tmp/usr/bin/osso_application_installer $(CURDIR)/debian/tmp/usr/bin/osso_application_installer.launch
+#	ln -s /usr/bin/maemo-invoker $(CURDIR)/debian/tmp/usr/bin/osso_application_installer
+#endif
 
 # Build architecture-independent files here.
 binary-indep: build install
@@ -106,6 +117,7 @@
 #	dh_makeshlibs -V
 	dh_installdeb
 	dh_shlibdeps
+#	dh_gencontrol -- $(LAUNCHER_DEPENDS)
 	dh_gencontrol
 	dh_md5sums
 	dh_builddeb
