## osso-application-installer 4.22

=== debian/changelog ===
osso-application-installer (4.22) unstable; urgency=low

  * Fixed bugs N32851.

 -- Marius Vollmer <marius.vollmer@nokia.com>  Tue, 20 Jun 2006 13:52:12 +0300

osso-application-installer (4.21) unstable; urgency=low

  * Fixed bugs N32315, N30939, N31849.
  
 -- Marius Vollmer <marius.vollmer@nokia.com>  Mon, 12 Jun 2006 23:58:09 +0300

osso-application-installer (4.20) unstable; urgency=low

  * Pass https_proxy to apt-worker.
  * Set proper operation label in search results view.
  * Don't show each package twice in search results.
  * Disable "Edit" and "Delete" buttons in Catalogue dialog when nothing
    is selected.
  * Corrected two logical ID bugs.
  * Fixed bugs N32056, N32066.

 -- Marius Vollmer <marius.vollmer@nokia.com>  Wed,  7 Jun 2006 20:56:45 +0300

osso-application-installer (4.19) unstable; urgency=low

   * Fixed bugs N29642, N29195, N29232, N27902, N27905, N28068, N28184,
     N29384, N29531, N27762, N28620, N29522, N30282, N29382.
  
 -- Marius Vollmer <marius.vollmer@nokia.com>  Mon, 22 May 2006 21:28:47 +0300

osso-application-installer (4.18.1) unstable; urgency=low

  * Released 4.18 again with sources.list commited to svn.

 -- Marius Vollmer <marius.vollmer@nokia.com>  Mon, 15 May 2006 13:55:24 +0300

osso-application-installer (4.18) unstable; urgency=low

  * Include sources.list for product configuration.
  * Use GnomeVFS for saving the log.
  * Fixed bugs N25774, N27888, N27900, N27902, N28068, N28382, N28387,
    N28528, N28536.

 -- Marius Vollmer <marius.vollmer@nokia.com>  Fri,  5 May 2006 18:43:08 +0300

osso-application-installer (4.17) unstable; urgency=low

  * Proceed to install/remove even with a broken package database.
  * Produce more correct error messages when the Log can not be saved.
  * Produce "Download failed.  Package not found" message when
    appropriate.
  * Fixed bugs N25774 N27888 N27900 N27902 N28068 N28382 N28387 N28528
    N28536.
  
 -- Marius Vollmer <marius.vollmer@nokia.com>  Wed,  3 May 2006 20:24:30 +0300

osso-application-installer (4.16) unstable; urgency=low

  * Only simulate removal when necessary.
  * Support .install files with "Install from file".
  * Cleaned up progress reporting.
  * Fixed bugs N27735, N27742, N27743, N27736, N27789, N27762.

 -- Marius Vollmer <marius.vollmer@nokia.com>  Tue, 25 Apr 2006 21:00:16 +0300

osso-application-installer (4.15) unstable; urgency=low

  * Real install/remove policy implemented.
  * Big speedup when cleaning up after a simulated install/remove.
  * Package info is only collected when needed.
  * Handle and show broken packages correctly.
  * Show "Updating" banner when appropriate.
  * Show real device name.
  * New "deb" target in Makefile to make clean Debian source packages.
  
 -- Marius Vollmer <marius.vollmer@nokia.com>  Fri, 21 Apr 2006 18:37:46 +0300

osso-application-installer (4.14) unstable; urgency=low

  * Support installing remote files with "Install from file".
  * Better error messages.
  * Avoid corrupted cache when refresh fails.
  * Support for new "Application installer instruction" files, and
    associated MIME type.
  * Support for named repositories.
  * Fixed bugs N26424, N25494.
  
 -- Marius Vollmer <marius.vollmer@nokia.com>  Tue, 11 Apr 2006 20:57:27 +0300

osso-application-installer (4.13) unstable; urgency=low

  * Maemo-launcherized osso-application-installer and maemo-confirm-text
    (N24827).
  * Implemented context sensitive menu.
  * Fixed searching to work according to spec.
  * Add new repositories at end, dim edit and delete for essential repos.
  * Save toolbar visibility settings.
  * Be smart about showing/not showing categories; added "All" category.
  * Fixed N25613, N26040.
  * Fixed maintainer email in debian/control.
  
 -- Marius Vollmer <marius.vollmer@nokia.com>  Mon, 10 Apr 2006 11:47:19 +0300
  

osso-application-installer (4.12) unstable; urgency=low

  * Skipped.
  
 -- Marius Vollmer <marius.vollmer@nokia.com>  Fri,  7 Apr 2006 18:45:07 +0300

osso-application-installer (4.11) unstable; urgency=low

  * Skipped.
  
 -- Marius Vollmer <marius.vollmer@nokia.com>  Thu,  6 Apr 2006 00:29:37 +0300

osso-application-installer (4.10.1) unstable; urgency=low

  * Fixed malformed Build-Depends line: insert comma after libgconf2-dev
    and depend on libosso-gnomevfs2-dev instead of libosso-gnome-vfs2-dev.

 -- Marius Vollmer <marius.vollmer@nokia.com>  Tue,  4 Apr 2006 18:30:19 +0300

osso-application-installer (4.10) unstable; urgency=low

  * Added libosso-help-dev to Build-Depends.
  * Activated online help.
  * Reduced library dependencies of apt-worker.
  
 -- Marius Vollmer <marius.vollmer@nokia.com>  Fri, 31 Mar 2006 18:32:09 +0300

osso-application-installer (4.9) unstable; urgency=low

  * Fixed for GCC 3.4.

 -- Marius Vollmer <marius.vollmer@nokia.com>  Tue, 28 Mar 2006 17:30:51 +0300

osso-application-installer (4.8) unstable; urgency=low

  * Added maemo-list-user-packages script for the memory applet.
    Top window on mime-open.
    Fullscreening works again.
    Keep on pulsing when no real progress indication is available.
    Cancel button is dimmed when cancelling is known not to work.
    Download is cancelled automatically when net is disconnected.
    Backend crashes are noticed.
    Handle shutdown_ind hw state change (#23249). 

  * Build-Depend on ibosso-gnome-vfs2-dev.

 -- Marius Vollmer <marius.vollmer@nokia.com>  Fri, 24 Mar 2006 20:40:37 +0200

osso-application-installer (4.7) unstable; urgency=low

  * Build-Depend on libgconf2-dev.

 -- Marius Vollmer <marius.vollmer@nokia.com>  Mon, 13 Mar 2006 22:15:41 +0200

osso-application-installer (4.6) unstable; urgency=low

  * Removed "Temp files" settings dialog.  Performance and robustness
    improvements.  Bring up network when needed.  Build-Depend on
    hildon-libs-dev >= 0.12.0.  Provide maemo-installer-utils virtual
    package.

 -- Marius Vollmer <marius.vollmer@nokia.com>  Mon, 13 Mar 2006 21:51:57 +0200


