## osso-application-installer 4.22.1

=== debian/changelog ===
osso-application-installer (4.22.1) unstable; urgency=low

  * Fixes: NB#45131. (Buffer overflow in icon base64 decoding)
  
 -- Marius Vollmer <marius.vollmer@nokia.com>  Wed, 25 Oct 2006 14:33:22 +0300
