## osso-application-installer 4.42

=== debian/changelog ===
osso-application-installer (4.42) unstable; urgency=low

  * Fixes: NB#47858, NB#46125.

 -- Marius Vollmer <marius.vollmer@nokia.com>  Mon, 20 Nov 2006 16:52:22 +0200
