## osso-application-installer 4.46

=== debian/changelog ===
osso-application-installer (4.46) unstable; urgency=low

  * Fixes: NB#50190.

 -- Marius Vollmer <marius.vollmer@nokia.com>  Wed, 10 Jan 2007 14:15:56 +0200

osso-application-installer (4.45) unstable; urgency=low

  * Fixes: NB#47877. (again)

 -- Marius Vollmer <marius.vollmer@nokia.com>  Fri, 15 Dec 2006 17:12:32 +0200

osso-application-installer (4.44) unstable; urgency=low

  * Fixes: NB#47877. (again)

 -- Marius Vollmer <marius.vollmer@nokia.com>  Thu, 14 Dec 2006 19:35:00 +0200
