=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Marius Vollmer <marius.vollmer@nokia.com>
-Build-Depends: debhelper (>= 4.0.0), libapt-pkg-dev, libglib2.0-dev, libgtk2.0-dev, hildon-libs-dev (>= 0.12.0), hildon-fm-dev, osso-ic-dev, libgconf2-dev, libosso-gnomevfs2-dev, libosso-help-dev, osso-gnomevfs-extra-dev
+Build-Depends: debhelper (>= 4.0.0), libapt-pkg-dev, libglib2.0-dev, libgtk2.0-dev, hildon-libs-dev (>= 0.12.0), hildon-fm-dev, libconic0-dev, libgconf2-dev, libosso-gnomevfs2-dev, libosso-help-dev, osso-gnomevfs-extra-dev
 Standards-Version: 3.6.0
 
 Package: osso-application-installer
